Reviewflowz API Get an API key
Webhooks

Rotate the secret

The old secret keeps signing too for 24 hours, so you can switch your receiver over.

Requires webhooks:write.

Run calls

Sign in to run every call on this page on your account's data. No key needed.

curl -X POST https://api.reviewflowz.com/v3/webhook-endpoints/we_12/rotate-secret \-H "Authorization: Bearer rfz_live_..."
Example answer
{"id": "we_12","url": "https://hooks.yourcompany.com/reviewflowz","description": "New reviews to our CRM","events": ["review.created","review.updated"],"status": "active","disabled_reason": null,"disabled_at": null,"failing_since": null,"last_success_at": "2026-11-10T08:40:15Z","created_via": "api","created_at": "2026-10-30T09:12:44Z","updated_at": "2026-10-30T09:12:44Z","secret": "whsec_MfKQ9r8GKYqrTwjUPD8ILPZIo2LaLaSw","previous_secret_expires_at": "2026-11-01T09:00:00Z"}